Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 926757

Summary: xcowsay: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: xcowsayAssignee: Hans Ulrich Niedermann <rhbugs>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: gwync, rhbugs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: xcowsay-1.3-7.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-01 09:37:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 16:34:08 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  xcowsay appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/xcowsay/xcowsay-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Hans Ulrich Niedermann 2013-11-16 12:34:14 UTC
Skipping 1. as contact with upstream is difficult to find.

Skipping 2. as source tarball misses required macros (only ships them in aclocal.m4).

Going for 3.

Comment 2 Hans Ulrich Niedermann 2013-11-16 13:25:26 UTC
Just noticed that my commit access is still awaiting review, so I cannot push my fix.

De-assigning this bug from me.

Comment 3 Gwyn Ciesla 2013-11-18 14:33:34 UTC
Sorry about that, access granted, please proceed, and thank you!

Comment 4 Fedora Update System 2013-11-18 19:47:32 UTC
xcowsay-1.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xcowsay-1.3-7.fc19

Comment 5 Fedora Update System 2013-11-18 20:01:38 UTC
xcowsay-1.3-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xcowsay-1.3-7.fc20

Comment 6 Fedora Update System 2013-11-19 05:22:22 UTC
Package xcowsay-1.3-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xcowsay-1.3-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21639/xcowsay-1.3-7.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-12-01 09:37:08 UTC
xcowsay-1.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-14 02:56:22 UTC
xcowsay-1.3-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.